org.richfaces.fragment.notify

## Class RichFacesNotify.NotifyMessageItemImpl

- java.lang.Object
- - org.richfaces.fragment.message.AbstractMessage
  - - org.richfaces.fragment.notify.RichFacesNotifyMessage
    - - org.richfaces.fragment.notify.RichFacesNotify.NotifyMessageItemImpl

- All Implemented Interfaces:
    AdvancedInteractions<Message.AdvancedMessageInteractions>, ListItem, Message, NotifyMessage
  Enclosing class:
    RichFacesNotify

      public static class RichFacesNotify.NotifyMessageItemImpl
      extends RichFacesNotifyMessage
      implements NotifyMessage, ListItem

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.notify.RichFacesNotifyMessage

      `RichFacesNotifyMessage.AdvancedNotifyMessageInteractionsImpl`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.message.AbstractMessage

      `AbstractMessage.AdvancedMessageInteractionsImpl`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.notify.NotifyMessage

      `NotifyMessage.AdvancedNotifyMessageIteractions, NotifyMessage.NotifyMessagePosition`

    - ### Nested classes/interfaces inherited from interface org.richfaces.fragment.message.Message

      `Message.AdvancedMessageInteractions, Message.MessageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesNotify.NotifyMessageItemImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.arquillian.graphene.GrapheneElement` | `getRootElement()` Gets the root element of this item.
    `String` | `getText()` Gets the text representation of this item.

    - ### Methods inherited from class org.richfaces.fragment.notify.RichFacesNotifyMessage

      `advanced, close, getCssClass, getStyleClassForMessageType`

    - ### Methods inherited from class org.richfaces.fragment.message.AbstractMessage

      `getDetail, getSummary, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.fragment.notify.NotifyMessage

      `advanced, close`

    - ### Methods inherited from interface org.richfaces.fragment.message.Message

      `getDetail, getSummary, getType`

- - ### Constructor Detail

    - #### RichFacesNotify.NotifyMessageItemImpl

          public RichFacesNotify.NotifyMessageItemImpl()

  - ### Method Detail

    - #### getRootElement

          public org.jboss.arquillian.graphene.GrapheneElement getRootElement()

      Description copied from interface: `ListItem`
      Gets the root element of this item.
      Specified by:
        `getRootElement` in interface `ListItem`
      Returns:
        root of this item

    - #### getText

          public String getText()

      Description copied from interface: `ListItem`
      Gets the text representation of this item.
      Specified by:
        `getText` in interface `ListItem`
      Returns:
        text from this item

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.